FROM php:7.4-fpm

WORKDIR /var/www/hexlet
COPY . /var/www/hexlet

RUN apt-get update -y && apt-get install -y openssl \
    zip \
    unzip \
    git \
    libonig-dev \
    libmcrypt-dev

RUN docker-php-ext-install mbstring pdo pdo_mysql
COPY --from=composer /usr/bin/composer /usr/bin/composer

# Add local web-user
ARG uid=33
ARG user=www-data

RUN echo "Building for web user: id=${uid} name=${user} group=${user}"
RUN groupadd -g ${uid} ${user}|| echo "Group exists"
RUN useradd -m -u ${uid} ${user} -g ${user} || echo "Users exists"
RUN sed -i -- "s/user = www-data/user = ${user}/g" /usr/local/etc/php-fpm.d/www.conf

USER ${uid}

EXPOSE 9000